Name: mod_ntlm
Version: 0.4
Release: alt1

Summary: NTLM auth module for Apache/Unix
License: BSD
Group: System/Servers

Requires: apache 

Source: http://prdownloads.sourceforge.net/modntlm/%{name}-%{version}.tar.gz

BuildRequires: apache-devel

%description
NTLM is an authentication protocol used by Microsoft Internet Informations Server(tm) and Microsoft Internet Explorer(tm). While it is not really secure, it offers background authentication (the workstation logon credentials of users are passed through to the web server). This feature is widely used in intranets based on these Microsoft products.
This module is implementing NTLM authentication for Apache on Unix platforms. It is available free of charges under the BSD License.

%prep
%setup -q

%build
%make_build APXS=%{_sbindir}/apxs

%install
%__install -pD -m644 mod_ntlm.so %{buildroot}/%{_libdir}/apache/mod_ntlm.so

%post
%{_sbindir}/apxs -e -a -n ntlm mod_ntlm.so >/dev/null 2>/dev/null
%{_sbindir}/apachectl update >/dev/null 2>/dev/null

%preun
if [ $1 = 0 ]; then
    %{_sbindir}/apxs -e -A -n ntlm mod_ntlm.so >/dev/null 2>/dev/null
    %{_sbindir}/apachectl update >/dev/null 2>/dev/null
fi

%files
%{_libdir}/apache/*
%doc Documentation README TODO

%changelog
* Mon Mar 22 2004 Dimitry V. Ketov <dketov@altlinux.ru> 0.4-alt1
- Initial build for Sisyphus
